import React from "react";
import { createRoot } from "react-dom/client";
import "./index.css";
import { App } from "./App";
import './locales'
import reportWebVitals from "./reportWebVitals";
import { FluentProvider, webLightTheme } from "@fluentui/react-components";
import { BrowserRouter } from "react-router-dom";

const container = document.getElementById('root');
const root = createRoot(container!); // 创建一个根

// 使用 createRoot 渲染你的应用
root.render(
  <BrowserRouter>
    <FluentProvider theme={webLightTheme}>
      <App />
    </FluentProvider>
  </BrowserRouter>
);

reportWebVitals();
